Time of Update: 2018-12-03
題目地址: http://livearchive.onlinejudge.org/index.php?option=com_onlinejudge&Itemid=8&page=show_problem&problem=3826 分兩種情況計算。 第一種情況,兩個圓水平相切、或者豎直相切。 這種情況很好計算,假設一個(以最大圓直徑為寬、以兩圓直徑之和為長)矩形,在n*m的範圍內有多少放法,計算出來即可。
Time of Update: 2018-12-03
描述
Time of Update: 2018-12-03
將@小媛在努力做的題目搬過來,自己做~ 感謝一下她~ 兩個斜杠是已經過的題,四個斜杠的是在ZOJ,POJ都有的題。三維凸包poj 3528 2974hdu 3662 ECNU 1624 求交集多邊形面積 求倆凸多邊形面積。水題。可用半平面交,也可以自己YY做。poj 1259 最大內部凸包hdu 3644 多邊形內能放進最大圓半徑(可能是凹的,二分+判斷)hdu 1086 hdu 3982 半平面交+求凸多邊形和圓的面積交hdu 4063
Time of Update: 2018-12-03
#include <stdio.h>#include <string.h>int f[25]; //第一個五分鐘能釣到的魚int curF[25]; //目前各湖能釣到的魚數int d[25]; //每五分鐘魚量減少的數目int ans[25]; //能釣到最大魚數時各湖停留的時間int ansTmp[25];int t[25]; //從i走到i+1所需要的時間int n;int times;
Time of Update: 2018-12-03
題目地址: http://acm.hdu.edu.cn/showproblem.php?pid=1983 去年做時沒做出來,木有思路。 今年再次碰到這題,初看還是木有思路。仔細一想,先暴力一發。。。 果然過了。。。 ======================================================================================================= 因為 地圖只有 8*8 ,並且最多隻需要堵 4個地方 (起點或者終點的
Time of Update: 2018-12-03
原文連結:http://www.cnblogs.com/soroman/archive/2006/10/12/526163.html在http://blog.donews.com/wanderpoet/archive/2005/07/04/453608.aspx看到一篇關於Gimbal Lock的E文,解釋得挺清楚的,翻譯如下:Gimbal LockWhat's Gimbal Lock?Gimbal lock is the phenomenon of two rotational axis
Time of Update: 2018-12-03
剛開始分析是直接枚舉,1~sqrt(n),想著想著都是偶數對啊,應該全是no,但是範例有yes,再細想,就發現如果是平方數那就沒配對了,這樣只需要判斷是否平方數,可惜交的時候WA啊!!也不知道為什麼,把int改為long就AC了,但題目說n <= 2^32 - 1啊。。int範圍啊,怎麼回事。。。#include <iostream>#include <cmath>#include <string>using namespace
Time of Update: 2018-12-03
我是一個粉刷匠 時間限制(普通/Java) : 1000 MS/ 2000 MS 運行記憶體限制 : 65535 KByte總提交 : 4 測試通過 : 2 描述 我是一個粉刷匠 粉刷本領強; 我要把那新房子 刷得很漂亮。 刷了房頂又刷牆 刷子飛舞忙; 哎呦我的小鼻子
Time of Update: 2018-12-03
YCbCr是YUV經過縮放和位移的翻版,可以看做YUV的子集。主要用於最佳化彩色視頻訊號的傳輸,使其向後相容老式黑白電視。與RGB視頻訊號傳輸相比,它最大的優點在於只需佔用極少的頻寬(RGB要求三個獨立的視頻訊號同時傳輸)。Y:明亮度(Luminance或Luma),也就是灰階值。“亮度”是透過RGB輸入訊號來建立的,方法是將RGB訊號的特定部分疊加到一起。U&V:色度(Chrominance或Chroma),作用是描述影像色彩及飽和度,用於指定像素的顏色。“色度”則定義了顏色的兩個方面
Time of Update: 2018-12-03
返回目錄 題目大意:輸入一串數,輸出出現次數最多的那個數,若有多個數符合則輸出最大的那個 。 題目類型: 基礎類比題 題目分析: 把一組數升序排序,然後從頭到尾掃描更新出現最多次數的數。 代碼: #include<cstdio>#include<cstring>#include <algorithm>//sortusing namespace std;#define MAXN 1010int a[MAXN];int n;int f(){int ans,
Time of Update: 2018-12-03
題目地址: http://acm.hdu.edu.cn/showproblem.php?pid=4286 一道比較噁心的類比。。。
Time of Update: 2018-12-03
SWUN題目地址: http://218.194.91.48/acmhome/problemdetail.do?&method=showdetail&id=1307HDU題目地址: http://acm.hdu.edu.cn/showproblem.php?pid=1495 初看挺難,其實就是基礎的BFS,練練手。。。 竟然還找到個規律,寫了個240B長度的代碼~~ 做法就不說了,代碼應該很好理解~~ #include
Time of Update: 2018-12-03
代碼: #include<cstdio>#include<cstring>using namespace std;#define MAXN 10000int a[MAXN];int d[MAXN];int vis[MAXN];int n;int ans;int dp(int cur, int x)//帶入x為了判斷當前是增還是減{if(vis[cur]) return d[cur];int max=1;//最少也是1for(int i=cur+1; i<n;
Time of Update: 2018-12-03
Q10034: Freckles給你一些點的座標,把這些點用墨水畫直線連起來,使得所有的點最後都連在一起。你的任務是寫一個程式找出墨水畫出的長度最小是多少?Input輸入的第一列有一個整數,代表以下有幾組測試資料。每組測試資料的第1列有一個整數n(0< n <= 100),代表點的個數。接下來有n列代表這n個點的座標,每列有2個實數。輸入的第一列與第一組測試資料間空一列,各測試資料間亦空一列。請參考Sample
Time of Update: 2018-12-03
題目就不用描述了吧。今晚看了位操作,matrix67寫的專輯 http://www.matrix67.com/blog/archives/122 裡提到這個題。(今天講搜尋的時候也提到這個題 = =)就按這個方法寫了一下,其實就是dfs,思路一致,轉移很直觀 shr(>>) shl(<<),更新每行禁點。速度相當快。而且很方便改成n皇后求解。//8皇后//92//TIME =
Time of Update: 2018-12-03
不懂三分,發現個很不錯的,講三分的,轉一下。 http://hi.baidu.com/acmdearway/blog/item/8cb3370240ba3d9cd53f7c00.html 三分法——求解凸性函數的極值問題——czyuan原創 二分法作為分治中最常見的方法,適用於單調函數,逼近求解某點的值。但當函數是凸性函數時,二分法就無法適用,這時三分法就可以“大顯身手”~~ ,類似二分的定義Left和Right,mid = (Left + Right) /
Time of Update: 2018-12-03
題目大意:給出一個圖,求某點到某點所必須忍受的最小噪音(即所經過路徑的相鄰兩點的權的最大值最小)。中文翻譯題目連結題目類型:圖論 /
Time of Update: 2018-12-03
Description:The 11th Zhejiang University Programming ContestStart Time:2011-04-03 13:30:00 (GMT+8) Length:4 Hours 解題報告連結如下(其他沒A出來的會慢慢補上): AAkasim Matrix0.00% (0/33)BBinary Land21.42% (18/84)CChinese Zodiac62.41% (382/612)DDuck Typing14.37%
Time of Update: 2018-12-03
比賽時A的, 由於是隊友先寫了wa, 然後我再改的, 所以代碼有點奇怪 = =.方法就是分sqrt(n)組(都取上界), 每組最多有sqrt(n)個數, 然後每組裡數字遞減. 這樣可以保證取到最小的max(正序數, 逆序數).然後就是要保證字典序最小, 方法就是給每組數初始設為1個數, 然後餘下的盡量加在後面,
Time of Update: 2018-12-03
http://uva.onlinejudge.org/index.php?option=com_onlinejudge&Itemid=8&category=114&page=show_problem&problem=47 題目大意:判斷 兩個排列的 最多